package com.kakao.usermgmt.request;

import android.net.Uri;
import com.bytedance.covode.number.Covode;
import com.kakao.auth.network.AuthorizedApiRequest;

public class ShippingAddressesRequest extends AuthorizedApiRequest {
    public final Long addressId;
    public final Integer fromUpdatedAt;
    public final Integer pageSize;

    static {
        Covode.recordClassIndex(45948);
    }

    public String getMethod() {
        return "GET";
    }

    public Uri.Builder getUriBuilder() {
        Uri.Builder path = super.getUriBuilder().path("v1/user/shipping_address");
        Long l = this.addressId;
        if (l != null) {
            path.appendQueryParameter("address_id", l.toString());
        }
        Integer num = this.fromUpdatedAt;
        if (num != null) {
            path.appendQueryParameter("from_updated_at", num.toString());
        }
        Integer num2 = this.pageSize;
        if (num2 != null) {
            path.appendQueryParameter("page_size", num2.toString());
        }
        return path;
    }

    public ShippingAddressesRequest(Long l, Integer num, Integer num2) {
        this.addressId = l;
        this.fromUpdatedAt = num;
        this.pageSize = num2;
    }
}
